{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = VARCHAR2; 
            name = exeOrdre; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = VARCHAR2; 
            name = marAnnee; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            columnName = "MAR_CLAUSES"; 
            externalType = VARCHAR2; 
            name = marClauses; 
            valueClassName = NSString; 
            valueType = S; 
            width = 512; 
        }, 
        {
            columnName = "MAR_DEBUT"; 
            externalType = DATE; 
            name = marDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "MAR_FIN"; 
            externalType = DATE; 
            name = marFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "MAR_INDEX"; 
            externalType = VARCHAR2; 
            name = marIndex; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            columnName = "MAR_LIBELLE"; 
            externalType = VARCHAR2; 
            name = marLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 512; 
        }, 
        {
            columnName = "MAR_ORDRE"; 
            externalType = NUMBER; 
            name = marOrdre; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MAR_PASSATION"; 
            externalType = VARCHAR2; 
            name = marPassation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAR_SUPPR"; 
            externalType = VARCHAR2; 
            name = marSuppr; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "MAR_VALIDE"; 
            externalType = VARCHAR2; 
            name = marValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        exeOrdre, 
        marAnnee, 
        marClauses, 
        marDebut, 
        marFin, 
        marIndex, 
        marLibelle, 
        marOrdre, 
        marPassation, 
        marSuppr, 
        marValide
    ); 
    className = "org.cocktail.maracuja.server.metier.EOMarche"; 
    classProperties = (
        exeOrdre, 
        marAnnee, 
        marClauses, 
        marDebut, 
        marFin, 
        marIndex, 
        marLibelle, 
        marOrdre, 
        marPassation, 
        marSuppr, 
        marValide
    ); 
    externalName = "maracuja.V_Marche"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            exeOrdre, 
            marAnnee, 
            marClauses, 
            marDebut, 
            marFin, 
            marIndex, 
            marLibelle, 
            marOrdre, 
            marPassation, 
            marSuppr, 
            marValide
        ); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOMarche"; 
    }; 
    isReadOnly = Y; 
    name = Marche; 
    primaryKeyAttributes = (marOrdre); 
}
